eth_getTransactionReceipt
POST
Returns the transaction receipt for the specified transaction hash.
🚧 Response taking too long? Response time may vary based on transaction complexity!
When querying a specific transaction, response time can increase depending on the amount of event logs, transaction order in the block, etc.
For faster responses, request without including the transaction's event logs.
param[0]
transactionHashstringrequired
Transaction hash is the unique identifier of a transaction. It is expressed as a 64-character hexadecimal string.Responses
blockHashstring
Hash of the block containing this transactionblockNumberstring
Block number containing this transaction (hex)contractAddressstring
Contract address created if this was a contract creation transaction, otherwise nullcumulativeGasUsedstring
Total gas used in the block up to and including this transaction (hex)effectiveGasPricestring
Actual gas price paid (hex, in wei)fromstring
Sender address of the transactiongasUsedstring
Gas used by this specific transaction (hex)List of event logs emitted during transaction execution
addressstring
The address of the contract that emitted this logtopicsarray
Array of event signature hash and indexed parameters (up to 4 entries)datastring
Non-indexed event parameter data (hex encoded)blockNumberstring
Block number containing this log (hex)transactionHashstring
Hash of the transaction that created this logtransactionIndexstring
Transaction position index within the block (hex)blockHashstring
Hash of the block containing this loglogIndexstring
Log position index within the block (hex)removedboolean
True if the log was removed due to a chain reorganizationlogsBloomstring
Bloom filter for event log search (2048 bits, hex)statusstring
Transaction execution result (0x1=success, 0x0=failure)tostring
Recipient address. Null for contract creation transactionstransactionHashstring
Transaction hashtransactionIndexstring
Transaction position index within the block (hex)typestring
Transaction type (0x0=Legacy, 0x1=EIP-2930, 0x2=EIP-1559)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://optimism-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "eth_getTransactionReceipt","params": ["0xda148d856aef6d77d0b76c90ef1091ffe77afe9ee9b1c6cc23f28f042f198bd8"]}'